summaryrefslogtreecommitdiffstats
path: root/meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch')
-rw-r--r--meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch1011
1 files changed, 0 insertions, 1011 deletions
diff --git a/meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch b/meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch
deleted file mode 100644
index 97807b213b..0000000000
--- a/meta-demoapps/recipes-sato/claws-mail/files/owl-window-menu.patch
+++ /dev/null
@@ -1,1011 +0,0 @@
1Upstream-Status: Inappropriate [enable feature]
2
3Index: claws-mail-2.9.1/src/addressbook.c
4===================================================================
5--- claws-mail-2.9.1.orig/src/addressbook.c 2007-04-25 10:18:13.000000000 +0100
6+++ claws-mail-2.9.1/src/addressbook.c 2007-04-25 10:30:23.000000000 +0100
7@@ -941,7 +941,6 @@
8 sizeof(addressbook_entries[0]);
9 menubar = menubar_create(window, addressbook_entries, n_entries,
10 "<AddressBook>", NULL);
11- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
12 menu_factory = gtk_item_factory_from_widget(menubar);
13
14 vbox2 = gtk_vbox_new(FALSE, BORDER_WIDTH);
15Index: claws-mail-2.9.1/src/gtk/menu.c
16===================================================================
17--- claws-mail-2.9.1.orig/src/gtk/menu.c 2007-04-25 10:18:13.000000000 +0100
18+++ claws-mail-2.9.1/src/gtk/menu.c 2007-04-25 10:30:23.000000000 +0100
19@@ -35,10 +35,7 @@
20 #include "menu.h"
21 #include "utils.h"
22
23-#ifdef MAEMO
24-#include <hildon-widgets/hildon-program.h>
25-#include <gtk/gtkmain.h>
26-#endif
27+#include <libowl/owlwindowmenu.h>
28
29 static void connect_accel_change_signals(GtkWidget* widget, GtkWidget *wid2) ;
30
31@@ -49,20 +46,14 @@
32 GtkItemFactory *factory;
33 GtkWidget *menubar;
34
35-#ifdef MAEMO
36 factory = gtk_item_factory_new(GTK_TYPE_MENU, path, NULL);
37-#else
38- factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, path, NULL);
39-#endif
40 gtk_item_factory_set_translate_func(factory, menu_translate,
41 NULL, NULL);
42 gtk_item_factory_create_items(factory, n_entries, entries, data);
43 gtk_window_add_accel_group (GTK_WINDOW (window), factory->accel_group);
44
45 menubar = gtk_item_factory_get_widget(factory, path);
46-#ifdef MAEMO
47- hildon_window_set_menu(HILDON_WINDOW(window), GTK_MENU(menubar));
48-#endif
49+ owl_set_window_menu(GTK_WINDOW(window), GTK_MENU(menubar));
50 return menubar;
51 }
52
53Index: claws-mail-2.9.1/src/mainwindow.c
54===================================================================
55--- claws-mail-2.9.1.orig/src/mainwindow.c 2007-04-25 10:26:40.000000000 +0100
56+++ claws-mail-2.9.1/src/mainwindow.c 2007-04-25 10:30:23.000000000 +0100
57@@ -1094,8 +1094,6 @@
58 n_menu_entries = sizeof(mainwin_entries) / sizeof(mainwin_entries[0]);
59 menubar = menubar_create(window, mainwin_entries,
60 n_menu_entries, "<Main>", mainwin);
61- gtk_widget_show(menubar);
62- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
63 ifactory = gtk_item_factory_from_widget(menubar);
64
65 /* gtk_widget_show(gtk_item_factory_get_item(ifactory,"/Message/Mailing-List"));
66Index: claws-mail-2.9.1/src/messageview.c
67===================================================================
68--- claws-mail-2.9.1.orig/src/messageview.c 2007-04-25 10:18:13.000000000 +0100
69+++ claws-mail-2.9.1/src/messageview.c 2007-04-25 10:30:23.000000000 +0100
70@@ -414,8 +414,6 @@
71 n_menu_entries = sizeof(msgview_entries) / sizeof(msgview_entries[0]);
72 menubar = menubar_create(window, msgview_entries,
73 n_menu_entries, "<MessageView>", msgview);
74- gtk_widget_show(menubar);
75- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
76
77 if (prefs_common.toolbar_detachable) {
78 handlebox = gtk_handle_box_new();
79@@ -478,6 +476,7 @@
80 g_signal_connect(G_OBJECT(window), "key_press_event",
81 G_CALLBACK(key_pressed), msgview);
82 #endif
83+ gtk_widget_realize(window);
84 messageview_add_toolbar(msgview, window);
85
86 if (show) {
87Index: claws-mail-2.9.1/configure.ac
88===================================================================
89--- claws-mail-2.9.1.orig/configure.ac 2007-04-25 10:18:13.000000000 +0100
90+++ claws-mail-2.9.1/configure.ac 2007-04-25 10:30:23.000000000 +0100
91@@ -406,6 +406,11 @@
92 AC_SUBST(GTK_CFLAGS)
93 AC_SUBST(GTK_LIBS)
94
95+OWL_CFLAGS=""
96+OWL_LIBS="-lowl"
97+AC_SUBST(OWL_CFLAGS)
98+AC_SUBST(OWL_LIBS)
99+
100 dnl GNU/Aspell is used for spell checking
101 AC_ARG_ENABLE(aspell,
102 [ --disable-aspell Disable GNU/aspell support [default=yes]],
103Index: claws-mail-2.9.1/src/Makefile.am
104===================================================================
105--- claws-mail-2.9.1.orig/src/Makefile.am 2007-04-25 10:18:13.000000000 +0100
106+++ claws-mail-2.9.1/src/Makefile.am 2007-04-25 10:30:23.000000000 +0100
107@@ -471,7 +471,8 @@
108 $(LIBICONV) \
109 $(STARTUP_NOTIFICATION_LIBS) \
110 $(LIBETPAN_LIBS) \
111- $(MAEMO_LIBS)
112+ $(MAEMO_LIBS) \
113+ $(OWL_LIBS)
114
115 AM_CPPFLAGS = \
116 -DG_LOG_DOMAIN=\"Claws-Mail\" \
117@@ -489,6 +490,7 @@
118 $(LIBETPAN_CPPFLAGS) \
119 $(STARTUP_NOTIFICATION_CFLAGS) \
120 $(MAEMO_CFLAGS) \
121+ $(OWL_CFLAGS) \
122 -Wno-unused-function
123
124 #no-unused-function is there because of bison stuff
125Index: claws-mail-2.9.1/configure
126===================================================================
127--- claws-mail-2.9.1.orig/configure 2007-04-25 10:18:13.000000000 +0100
128+++ claws-mail-2.9.1/configure 2007-04-25 10:30:23.000000000 +0100
129@@ -769,7 +769,6 @@
130 # include <unistd.h>
131 #endif"
132
133-gt_needs=
134 ac_subst_vars='SHELL
135 PATH_SEPARATOR
136 PACKAGE_NAME
137@@ -942,6 +941,8 @@
138 PASSCRYPT_KEY
139 GTK_CFLAGS
140 GTK_LIBS
141+OWL_LIBS
142+OWL_CFLAGS
143 ASPELL
144 ASPELL_CFLAGS
145 ASPELL_LIBS
146@@ -2063,7 +2064,6 @@
147 >$cache_file
148 fi
149
150-gt_needs="$gt_needs "
151 # Check that the precious variables saved in the cache have kept the same
152 # value.
153 ac_cache_corrupted=false
154@@ -3001,9 +3001,7 @@
155 # Put the nasty error message in config.log where it belongs
156 echo "$GNOME2_PKG_ERRORS" >&5
157
158- { echo "$as_me:$LINENO: result: no" >&5
159-echo "${ECHO_T}no" >&6; }
160- ac_enable_gnome2=no
161+ ac_enable_gnome2=no
162 elif test $pkg_failed = untried; then
163 ac_enable_gnome2=no
164 else
165@@ -4147,14 +4145,12 @@
166
167
168
169-
170- { echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
171-echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6; }
172-if test "${ac_cv_lib_cposix_strerror+set}" = set; then
173+{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
174+echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
175+if test "${ac_cv_search_strerror+set}" = set; then
176 echo $ECHO_N "(cached) $ECHO_C" >&6
177 else
178- ac_check_lib_save_LIBS=$LIBS
179-LIBS="-lcposix $LIBS"
180+ ac_func_search_save_LIBS=$LIBS
181 cat >conftest.$ac_ext <<_ACEOF
182 /* confdefs.h. */
183 _ACEOF
184@@ -4177,7 +4173,14 @@
185 return 0;
186 }
187 _ACEOF
188-rm -f conftest.$ac_objext conftest$ac_exeext
189+for ac_lib in '' cposix; do
190+ if test -z "$ac_lib"; then
191+ ac_res="none required"
192+ else
193+ ac_res=-l$ac_lib
194+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
195+ fi
196+ rm -f conftest.$ac_objext conftest$ac_exeext
197 if { (ac_try="$ac_link"
198 case "(($ac_try" in
199 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
200@@ -4195,25 +4198,35 @@
201 test ! -s conftest.err
202 } && test -s conftest$ac_exeext &&
203 $as_test_x conftest$ac_exeext; then
204- ac_cv_lib_cposix_strerror=yes
205+ ac_cv_search_strerror=$ac_res
206 else
207 echo "$as_me: failed program was:" >&5
208 sed 's/^/| /' conftest.$ac_ext >&5
209
210- ac_cv_lib_cposix_strerror=no
211+
212 fi
213
214 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
215- conftest$ac_exeext conftest.$ac_ext
216-LIBS=$ac_check_lib_save_LIBS
217+ conftest$ac_exeext
218+ if test "${ac_cv_search_strerror+set}" = set; then
219+ break
220+fi
221+done
222+if test "${ac_cv_search_strerror+set}" = set; then
223+ :
224+else
225+ ac_cv_search_strerror=no
226 fi
227-{ echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
228-echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6; }
229-if test $ac_cv_lib_cposix_strerror = yes; then
230- LIBS="$LIBS -lcposix"
231+rm conftest.$ac_ext
232+LIBS=$ac_func_search_save_LIBS
233 fi
234+{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
235+echo "${ECHO_T}$ac_cv_search_strerror" >&6; }
236+ac_res=$ac_cv_search_strerror
237+if test "$ac_res" != no; then
238+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
239
240-
241+fi
242
243 # Find a good install program. We prefer a C program (faster),
244 # so one script is as good as another. But avoid the broken or
245@@ -5769,7 +5782,7 @@
246 ;;
247 *-*-irix6*)
248 # Find out which ABI we are using.
249- echo '#line 5772 "configure"' > conftest.$ac_ext
250+ echo '#line 5785 "configure"' > conftest.$ac_ext
251 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
252 (eval $ac_compile) 2>&5
253 ac_status=$?
254@@ -8555,11 +8568,11 @@
255 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
256 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
257 -e 's:$: $lt_compiler_flag:'`
258- (eval echo "\"\$as_me:8558: $lt_compile\"" >&5)
259+ (eval echo "\"\$as_me:8571: $lt_compile\"" >&5)
260 (eval "$lt_compile" 2>conftest.err)
261 ac_status=$?
262 cat conftest.err >&5
263- echo "$as_me:8562: \$? = $ac_status" >&5
264+ echo "$as_me:8575: \$? = $ac_status" >&5
265 if (exit $ac_status) && test -s "$ac_outfile"; then
266 # The compiler can only warn and ignore the option if not recognized
267 # So say no if there are warnings other than the usual output.
268@@ -8823,11 +8836,11 @@
269 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
270 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
271 -e 's:$: $lt_compiler_flag:'`
272- (eval echo "\"\$as_me:8826: $lt_compile\"" >&5)
273+ (eval echo "\"\$as_me:8839: $lt_compile\"" >&5)
274 (eval "$lt_compile" 2>conftest.err)
275 ac_status=$?
276 cat conftest.err >&5
277- echo "$as_me:8830: \$? = $ac_status" >&5
278+ echo "$as_me:8843: \$? = $ac_status" >&5
279 if (exit $ac_status) && test -s "$ac_outfile"; then
280 # The compiler can only warn and ignore the option if not recognized
281 # So say no if there are warnings other than the usual output.
282@@ -8927,11 +8940,11 @@
283 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
284 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
285 -e 's:$: $lt_compiler_flag:'`
286- (eval echo "\"\$as_me:8930: $lt_compile\"" >&5)
287+ (eval echo "\"\$as_me:8943: $lt_compile\"" >&5)
288 (eval "$lt_compile" 2>out/conftest.err)
289 ac_status=$?
290 cat out/conftest.err >&5
291- echo "$as_me:8934: \$? = $ac_status" >&5
292+ echo "$as_me:8947: \$? = $ac_status" >&5
293 if (exit $ac_status) && test -s out/conftest2.$ac_objext
294 then
295 # The compiler can only warn and ignore the option if not recognized
296@@ -11224,7 +11237,7 @@
297 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
298 lt_status=$lt_dlunknown
299 cat > conftest.$ac_ext <<EOF
300-#line 11227 "configure"
301+#line 11240 "configure"
302 #include "confdefs.h"
303
304 #if HAVE_DLFCN_H
305@@ -11324,7 +11337,7 @@
306 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
307 lt_status=$lt_dlunknown
308 cat > conftest.$ac_ext <<EOF
309-#line 11327 "configure"
310+#line 11340 "configure"
311 #include "confdefs.h"
312
313 #if HAVE_DLFCN_H
314@@ -13660,11 +13673,11 @@
315 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
316 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
317 -e 's:$: $lt_compiler_flag:'`
318- (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
319+ (eval echo "\"\$as_me:13676: $lt_compile\"" >&5)
320 (eval "$lt_compile" 2>conftest.err)
321 ac_status=$?
322 cat conftest.err >&5
323- echo "$as_me:13667: \$? = $ac_status" >&5
324+ echo "$as_me:13680: \$? = $ac_status" >&5
325 if (exit $ac_status) && test -s "$ac_outfile"; then
326 # The compiler can only warn and ignore the option if not recognized
327 # So say no if there are warnings other than the usual output.
328@@ -13764,11 +13777,11 @@
329 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
330 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
331 -e 's:$: $lt_compiler_flag:'`
332- (eval echo "\"\$as_me:13767: $lt_compile\"" >&5)
333+ (eval echo "\"\$as_me:13780: $lt_compile\"" >&5)
334 (eval "$lt_compile" 2>out/conftest.err)
335 ac_status=$?
336 cat out/conftest.err >&5
337- echo "$as_me:13771: \$? = $ac_status" >&5
338+ echo "$as_me:13784: \$? = $ac_status" >&5
339 if (exit $ac_status) && test -s out/conftest2.$ac_objext
340 then
341 # The compiler can only warn and ignore the option if not recognized
342@@ -15325,11 +15338,11 @@
343 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
344 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
345 -e 's:$: $lt_compiler_flag:'`
346- (eval echo "\"\$as_me:15328: $lt_compile\"" >&5)
347+ (eval echo "\"\$as_me:15341: $lt_compile\"" >&5)
348 (eval "$lt_compile" 2>conftest.err)
349 ac_status=$?
350 cat conftest.err >&5
351- echo "$as_me:15332: \$? = $ac_status" >&5
352+ echo "$as_me:15345: \$? = $ac_status" >&5
353 if (exit $ac_status) && test -s "$ac_outfile"; then
354 # The compiler can only warn and ignore the option if not recognized
355 # So say no if there are warnings other than the usual output.
356@@ -15429,11 +15442,11 @@
357 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
358 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
359 -e 's:$: $lt_compiler_flag:'`
360- (eval echo "\"\$as_me:15432: $lt_compile\"" >&5)
361+ (eval echo "\"\$as_me:15445: $lt_compile\"" >&5)
362 (eval "$lt_compile" 2>out/conftest.err)
363 ac_status=$?
364 cat out/conftest.err >&5
365- echo "$as_me:15436: \$? = $ac_status" >&5
366+ echo "$as_me:15449: \$? = $ac_status" >&5
367 if (exit $ac_status) && test -s out/conftest2.$ac_objext
368 then
369 # The compiler can only warn and ignore the option if not recognized
370@@ -17616,11 +17629,11 @@
371 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
372 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
373 -e 's:$: $lt_compiler_flag:'`
374- (eval echo "\"\$as_me:17619: $lt_compile\"" >&5)
375+ (eval echo "\"\$as_me:17632: $lt_compile\"" >&5)
376 (eval "$lt_compile" 2>conftest.err)
377 ac_status=$?
378 cat conftest.err >&5
379- echo "$as_me:17623: \$? = $ac_status" >&5
380+ echo "$as_me:17636: \$? = $ac_status" >&5
381 if (exit $ac_status) && test -s "$ac_outfile"; then
382 # The compiler can only warn and ignore the option if not recognized
383 # So say no if there are warnings other than the usual output.
384@@ -17884,11 +17897,11 @@
385 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
386 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
387 -e 's:$: $lt_compiler_flag:'`
388- (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
389+ (eval echo "\"\$as_me:17900: $lt_compile\"" >&5)
390 (eval "$lt_compile" 2>conftest.err)
391 ac_status=$?
392 cat conftest.err >&5
393- echo "$as_me:17891: \$? = $ac_status" >&5
394+ echo "$as_me:17904: \$? = $ac_status" >&5
395 if (exit $ac_status) && test -s "$ac_outfile"; then
396 # The compiler can only warn and ignore the option if not recognized
397 # So say no if there are warnings other than the usual output.
398@@ -17988,11 +18001,11 @@
399 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
400 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
401 -e 's:$: $lt_compiler_flag:'`
402- (eval echo "\"\$as_me:17991: $lt_compile\"" >&5)
403+ (eval echo "\"\$as_me:18004: $lt_compile\"" >&5)
404 (eval "$lt_compile" 2>out/conftest.err)
405 ac_status=$?
406 cat out/conftest.err >&5
407- echo "$as_me:17995: \$? = $ac_status" >&5
408+ echo "$as_me:18008: \$? = $ac_status" >&5
409 if (exit $ac_status) && test -s out/conftest2.$ac_objext
410 then
411 # The compiler can only warn and ignore the option if not recognized
412@@ -20960,16 +20973,9 @@
413 found_so=
414 found_a=
415 if test $use_additional = yes; then
416- if test -n "$shlibext" \
417- && { test -f "$additional_libdir/lib$name.$shlibext" \
418- || { test "$shlibext" = dll \
419- && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
420+ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
421 found_dir="$additional_libdir"
422- if test -f "$additional_libdir/lib$name.$shlibext"; then
423- found_so="$additional_libdir/lib$name.$shlibext"
424- else
425- found_so="$additional_libdir/lib$name.dll.a"
426- fi
427+ found_so="$additional_libdir/lib$name.$shlibext"
428 if test -f "$additional_libdir/lib$name.la"; then
429 found_la="$additional_libdir/lib$name.la"
430 fi
431@@ -20997,16 +21003,9 @@
432 case "$x" in
433 -L*)
434 dir=`echo "X$x" | sed -e 's/^X-L//'`
435- if test -n "$shlibext" \
436- && { test -f "$dir/lib$name.$shlibext" \
437- || { test "$shlibext" = dll \
438- && test -f "$dir/lib$name.dll.a"; }; }; then
439+ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
440 found_dir="$dir"
441- if test -f "$dir/lib$name.$shlibext"; then
442- found_so="$dir/lib$name.$shlibext"
443- else
444- found_so="$dir/lib$name.dll.a"
445- fi
446+ found_so="$dir/lib$name.$shlibext"
447 if test -f "$dir/lib$name.la"; then
448 found_la="$dir/lib$name.la"
449 fi
450@@ -21927,13 +21926,6 @@
451
452
453
454-
455-
456-
457-
458-
459-
460-
461 { echo "$as_me:$LINENO: checking for CFPreferencesCopyAppValue" >&5
462 echo $ECHO_N "checking for CFPreferencesCopyAppValue... $ECHO_C" >&6; }
463 if test "${gt_cv_func_CFPreferencesCopyAppValue+set}" = set; then
464@@ -22070,37 +22062,17 @@
465 LTLIBINTL=
466 POSUB=
467
468- case " $gt_needs " in
469- *" need-formatstring-macros "*) gt_api_version=3 ;;
470- *" need-ngettext "*) gt_api_version=2 ;;
471- *) gt_api_version=1 ;;
472- esac
473- gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc"
474- gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl"
475-
476 if test "$USE_NLS" = "yes"; then
477 gt_use_preinstalled_gnugettext=no
478
479
480- if test $gt_api_version -ge 3; then
481- gt_revision_test_code='
482-#ifndef __GNU_GETTEXT_SUPPORTED_REVISION
483-#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1)
484-#endif
485-typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1];
486-'
487- else
488- gt_revision_test_code=
489- fi
490- if test $gt_api_version -ge 2; then
491- gt_expression_test_code=' + * ngettext ("", "", 0)'
492- else
493- gt_expression_test_code=
494- fi
495+
496+
497+
498
499 { echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5
500 echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6; }
501-if { as_var=$gt_func_gnugettext_libc; eval "test \"\${$as_var+set}\" = set"; }; then
502+if test "${gt_cv_func_gnugettext1_libc+set}" = set; then
503 echo $ECHO_N "(cached) $ECHO_C" >&6
504 else
505 cat >conftest.$ac_ext <<_ACEOF
506@@ -22110,14 +22082,13 @@
507 cat >>conftest.$ac_ext <<_ACEOF
508 /* end confdefs.h. */
509 #include <libintl.h>
510-$gt_revision_test_code
511 extern int _nl_msg_cat_cntr;
512 extern int *_nl_domain_bindings;
513 int
514 main ()
515 {
516 bindtextdomain ("", "");
517-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_domain_bindings
518+return * gettext ("") + _nl_msg_cat_cntr + *_nl_domain_bindings
519 ;
520 return 0;
521 }
522@@ -22140,22 +22111,21 @@
523 test ! -s conftest.err
524 } && test -s conftest$ac_exeext &&
525 $as_test_x conftest$ac_exeext; then
526- eval "$gt_func_gnugettext_libc=yes"
527+ gt_cv_func_gnugettext1_libc=yes
528 else
529 echo "$as_me: failed program was:" >&5
530 sed 's/^/| /' conftest.$ac_ext >&5
531
532- eval "$gt_func_gnugettext_libc=no"
533+ gt_cv_func_gnugettext1_libc=no
534 fi
535
536 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
537 conftest$ac_exeext conftest.$ac_ext
538 fi
539-ac_res=`eval echo '${'$gt_func_gnugettext_libc'}'`
540- { echo "$as_me:$LINENO: result: $ac_res" >&5
541-echo "${ECHO_T}$ac_res" >&6; }
542+{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libc" >&5
543+echo "${ECHO_T}$gt_cv_func_gnugettext1_libc" >&6; }
544
545- if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then
546+ if test "$gt_cv_func_gnugettext1_libc" != "yes"; then
547
548
549
550@@ -22398,16 +22368,9 @@
551 found_so=
552 found_a=
553 if test $use_additional = yes; then
554- if test -n "$shlibext" \
555- && { test -f "$additional_libdir/lib$name.$shlibext" \
556- || { test "$shlibext" = dll \
557- && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
558+ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
559 found_dir="$additional_libdir"
560- if test -f "$additional_libdir/lib$name.$shlibext"; then
561- found_so="$additional_libdir/lib$name.$shlibext"
562- else
563- found_so="$additional_libdir/lib$name.dll.a"
564- fi
565+ found_so="$additional_libdir/lib$name.$shlibext"
566 if test -f "$additional_libdir/lib$name.la"; then
567 found_la="$additional_libdir/lib$name.la"
568 fi
569@@ -22435,16 +22398,9 @@
570 case "$x" in
571 -L*)
572 dir=`echo "X$x" | sed -e 's/^X-L//'`
573- if test -n "$shlibext" \
574- && { test -f "$dir/lib$name.$shlibext" \
575- || { test "$shlibext" = dll \
576- && test -f "$dir/lib$name.dll.a"; }; }; then
577+ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
578 found_dir="$dir"
579- if test -f "$dir/lib$name.$shlibext"; then
580- found_so="$dir/lib$name.$shlibext"
581- else
582- found_so="$dir/lib$name.dll.a"
583- fi
584+ found_so="$dir/lib$name.$shlibext"
585 if test -f "$dir/lib$name.la"; then
586 found_la="$dir/lib$name.la"
587 fi
588@@ -22712,7 +22668,7 @@
589
590 { echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5
591 echo $ECHO_N "checking for GNU gettext in libintl... $ECHO_C" >&6; }
592-if { as_var=$gt_func_gnugettext_libintl; eval "test \"\${$as_var+set}\" = set"; }; then
593+if test "${gt_cv_func_gnugettext1_libintl+set}" = set; then
594 echo $ECHO_N "(cached) $ECHO_C" >&6
595 else
596 gt_save_CPPFLAGS="$CPPFLAGS"
597@@ -22726,7 +22682,6 @@
598 cat >>conftest.$ac_ext <<_ACEOF
599 /* end confdefs.h. */
600 #include <libintl.h>
601-$gt_revision_test_code
602 extern int _nl_msg_cat_cntr;
603 extern
604 #ifdef __cplusplus
605@@ -22737,7 +22692,7 @@
606 main ()
607 {
608 bindtextdomain ("", "");
609-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
610+return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("")
611 ;
612 return 0;
613 }
614@@ -22760,17 +22715,17 @@
615 test ! -s conftest.err
616 } && test -s conftest$ac_exeext &&
617 $as_test_x conftest$ac_exeext; then
618- eval "$gt_func_gnugettext_libintl=yes"
619+ gt_cv_func_gnugettext1_libintl=yes
620 else
621 echo "$as_me: failed program was:" >&5
622 sed 's/^/| /' conftest.$ac_ext >&5
623
624- eval "$gt_func_gnugettext_libintl=no"
625+ gt_cv_func_gnugettext1_libintl=no
626 fi
627
628 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
629 conftest$ac_exeext conftest.$ac_ext
630- if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" != yes; } && test -n "$LIBICONV"; then
631+ if test "$gt_cv_func_gnugettext1_libintl" != yes && test -n "$LIBICONV"; then
632 LIBS="$LIBS $LIBICONV"
633 cat >conftest.$ac_ext <<_ACEOF
634 /* confdefs.h. */
635@@ -22779,7 +22734,6 @@
636 cat >>conftest.$ac_ext <<_ACEOF
637 /* end confdefs.h. */
638 #include <libintl.h>
639-$gt_revision_test_code
640 extern int _nl_msg_cat_cntr;
641 extern
642 #ifdef __cplusplus
643@@ -22790,7 +22744,7 @@
644 main ()
645 {
646 bindtextdomain ("", "");
647-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
648+return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("")
649 ;
650 return 0;
651 }
652@@ -22815,7 +22769,7 @@
653 $as_test_x conftest$ac_exeext; then
654 LIBINTL="$LIBINTL $LIBICONV"
655 LTLIBINTL="$LTLIBINTL $LTLIBICONV"
656- eval "$gt_func_gnugettext_libintl=yes"
657+ gt_cv_func_gnugettext1_libintl=yes
658
659 else
660 echo "$as_me: failed program was:" >&5
661@@ -22830,13 +22784,12 @@
662 CPPFLAGS="$gt_save_CPPFLAGS"
663 LIBS="$gt_save_LIBS"
664 fi
665-ac_res=`eval echo '${'$gt_func_gnugettext_libintl'}'`
666- { echo "$as_me:$LINENO: result: $ac_res" >&5
667-echo "${ECHO_T}$ac_res" >&6; }
668+{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libintl" >&5
669+echo "${ECHO_T}$gt_cv_func_gnugettext1_libintl" >&6; }
670 fi
671
672- if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" = "yes"; } \
673- || { { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; } \
674+ if test "$gt_cv_func_gnugettext1_libc" = "yes" \
675+ || { test "$gt_cv_func_gnugettext1_libintl" = "yes" \
676 && test "$PACKAGE" != gettext-runtime \
677 && test "$PACKAGE" != gettext-tools; }; then
678 gt_use_preinstalled_gnugettext=yes
679@@ -22876,7 +22829,7 @@
680 { echo "$as_me:$LINENO: checking where the gettext function comes from" >&5
681 echo $ECHO_N "checking where the gettext function comes from... $ECHO_C" >&6; }
682 if test "$gt_use_preinstalled_gnugettext" = "yes"; then
683- if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
684+ if test "$gt_cv_func_gnugettext1_libintl" = "yes"; then
685 gt_source="external libintl"
686 else
687 gt_source="libc"
688@@ -22891,7 +22844,7 @@
689 if test "$USE_NLS" = "yes"; then
690
691 if test "$gt_use_preinstalled_gnugettext" = "yes"; then
692- if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
693+ if test "$gt_cv_func_gnugettext1_libintl" = "yes"; then
694 { echo "$as_me:$LINENO: checking how to link with libintl" >&5
695 echo $ECHO_N "checking how to link with libintl... $ECHO_C" >&6; }
696 { echo "$as_me:$LINENO: result: $LIBINTL" >&5
697@@ -26592,12 +26545,8 @@
698 esac
699 done
700
701-
702-
703-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
704- if test -n "$ac_tool_prefix"; then
705- # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
706-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
707+ # Extract the first word of "pkg-config", so it can be a program name with args.
708+set dummy pkg-config; ac_word=$2
709 { echo "$as_me:$LINENO: checking for $ac_word" >&5
710 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
711 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
712@@ -26623,6 +26572,7 @@
713 done
714 IFS=$as_save_IFS
715
716+ test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
717 ;;
718 esac
719 fi
720@@ -26636,88 +26586,19 @@
721 fi
722
723
724-fi
725-if test -z "$ac_cv_path_PKG_CONFIG"; then
726- ac_pt_PKG_CONFIG=$PKG_CONFIG
727- # Extract the first word of "pkg-config", so it can be a program name with args.
728-set dummy pkg-config; ac_word=$2
729-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
730-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
731-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
732- echo $ECHO_N "(cached) $ECHO_C" >&6
733-else
734- case $ac_pt_PKG_CONFIG in
735- [\\/]* | ?:[\\/]*)
736- ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
737- ;;
738- *)
739- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
740-for as_dir in $PATH
741-do
742- IFS=$as_save_IFS
743- test -z "$as_dir" && as_dir=.
744- for ac_exec_ext in '' $ac_executable_extensions; do
745- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
746- ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
747- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
748- break 2
749- fi
750-done
751-done
752-IFS=$as_save_IFS
753-
754- ;;
755-esac
756-fi
757-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
758-if test -n "$ac_pt_PKG_CONFIG"; then
759- { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
760-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
761-else
762- { echo "$as_me:$LINENO: result: no" >&5
763-echo "${ECHO_T}no" >&6; }
764-fi
765-
766- if test "x$ac_pt_PKG_CONFIG" = x; then
767- PKG_CONFIG=""
768- else
769- case $cross_compiling:$ac_tool_warned in
770-yes:)
771-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
772-whose name does not start with the host triplet. If you think this
773-configuration is useful to you, please write to autoconf@gnu.org." >&5
774-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
775-whose name does not start with the host triplet. If you think this
776-configuration is useful to you, please write to autoconf@gnu.org." >&2;}
777-ac_tool_warned=yes ;;
778-esac
779- PKG_CONFIG=$ac_pt_PKG_CONFIG
780- fi
781-else
782- PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
783-fi
784-
785-fi
786-if test -n "$PKG_CONFIG"; then
787- _pkg_min_version=0.7
788- { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
789-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
790- if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
791- { echo "$as_me:$LINENO: result: yes" >&5
792-echo "${ECHO_T}yes" >&6; }
793- else
794- { echo "$as_me:$LINENO: result: no" >&5
795-echo "${ECHO_T}no" >&6; }
796- PKG_CONFIG=""
797- fi
798-
799-fi
800
801 no_glib=""
802
803- if test "x$PKG_CONFIG" = x ; then
804+ if test x$PKG_CONFIG != xno ; then
805+ if $PKG_CONFIG --atleast-pkgconfig-version 0.7 ; then
806+ :
807+ else
808+ echo *** pkg-config too old; version 0.7 or better required.
809+ no_glib=yes
810+ PKG_CONFIG=no
811+ fi
812+ else
813 no_glib=yes
814- PKG_CONFIG=no
815 fi
816
817 min_glib_version=2.6.0
818@@ -27223,9 +27104,7 @@
819 # Put the nasty error message in config.log where it belongs
820 echo "$OPENSSL_PKG_ERRORS" >&5
821
822- { echo "$as_me:$LINENO: result: no" >&5
823-echo "${ECHO_T}no" >&6; }
824- ac_cv_enable_openssl=no
825+ ac_cv_enable_openssl=no
826 elif test $pkg_failed = untried; then
827 ac_cv_enable_openssl=no
828 else
829@@ -27793,6 +27672,11 @@
830
831
832
833+OWL_LIBS="-lowl"
834+OLS_CFLAGS=""
835+
836+
837+
838 # Check whether --enable-aspell was given.
839 if test "${enable_aspell+set}" = set; then
840 enableval=$enable_aspell; ac_cv_enable_aspell=$enableval
841@@ -28242,9 +28126,7 @@
842 # Put the nasty error message in config.log where it belongs
843 echo "$MAEMO_PKG_ERRORS" >&5
844
845- { echo "$as_me:$LINENO: result: no" >&5
846-echo "${ECHO_T}no" >&6; }
847- ac_cv_enable_maemo=no
848+ ac_cv_enable_maemo=no
849 elif test $pkg_failed = untried; then
850 ac_cv_enable_maemo=no
851 else
852@@ -29796,8 +29678,6 @@
853 # Put the nasty error message in config.log where it belongs
854 echo "$STARTUP_NOTIFICATION_PKG_ERRORS" >&5
855
856- { echo "$as_me:$LINENO: result: no" >&5
857-echo "${ECHO_T}no" >&6; }
858
859 echo "Building without libstartup-notification"
860 enable_startup_notification=no
861@@ -31300,9 +31180,7 @@
862 # Put the nasty error message in config.log where it belongs
863 echo "$CLAMAV_PKG_ERRORS" >&5
864
865- { echo "$as_me:$LINENO: result: no" >&5
866-echo "${ECHO_T}no" >&6; }
867- ac_cv_enable_clamav_plugin=no
868+ ac_cv_enable_clamav_plugin=no
869 elif test $pkg_failed = untried; then
870 ac_cv_enable_clamav_plugin=no
871 else
872@@ -31684,9 +31562,7 @@
873 # Put the nasty error message in config.log where it belongs
874 echo "$GNOMEPRINT_PKG_ERRORS" >&5
875
876- { echo "$as_me:$LINENO: result: no" >&5
877-echo "${ECHO_T}no" >&6; }
878- ac_cv_enable_gnomeprint=no
879+ ac_cv_enable_gnomeprint=no
880 elif test $pkg_failed = untried; then
881 ac_cv_enable_gnomeprint=no
882 else
883@@ -31794,9 +31670,7 @@
884 # Put the nasty error message in config.log where it belongs
885 echo "$VALGRIND_PKG_ERRORS" >&5
886
887- { echo "$as_me:$LINENO: result: no" >&5
888-echo "${ECHO_T}no" >&6; }
889- ac_cv_enable_valgrind=no
890+ ac_cv_enable_valgrind=no
891 elif test $pkg_failed = untried; then
892 ac_cv_enable_valgrind=no
893 else
894@@ -32884,6 +32758,8 @@
895 PASSCRYPT_KEY!$PASSCRYPT_KEY$ac_delim
896 GTK_CFLAGS!$GTK_CFLAGS$ac_delim
897 GTK_LIBS!$GTK_LIBS$ac_delim
898+OWL_LIBS!$OWL_LIBS$ac_delim
899+OWL_CFLAGS!$OWL_CFLAGS$ac_delim
900 ASPELL!$ASPELL$ac_delim
901 ASPELL_CFLAGS!$ASPELL_CFLAGS$ac_delim
902 ASPELL_LIBS!$ASPELL_LIBS$ac_delim
903@@ -32904,8 +32780,6 @@
904 BUILD_SPAMASSASSIN_PLUGIN_FALSE!$BUILD_SPAMASSASSIN_PLUGIN_FALSE$ac_delim
905 BUILD_BOGOFILTER_PLUGIN_TRUE!$BUILD_BOGOFILTER_PLUGIN_TRUE$ac_delim
906 BUILD_BOGOFILTER_PLUGIN_FALSE!$BUILD_BOGOFILTER_PLUGIN_FALSE$ac_delim
907-GPGME_CONFIG!$GPGME_CONFIG$ac_delim
908-GPGME_CFLAGS!$GPGME_CFLAGS$ac_delim
909 _ACEOF
910
911 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
912@@ -32947,6 +32821,8 @@
913 ac_delim='%!_!# '
914 for ac_last_try in false false false false false :; do
915 cat >conf$$subs.sed <<_ACEOF
916+GPGME_CONFIG!$GPGME_CONFIG$ac_delim
917+GPGME_CFLAGS!$GPGME_CFLAGS$ac_delim
918 GPGME_LIBS!$GPGME_LIBS$ac_delim
919 BUILD_PGPCORE_PLUGIN_TRUE!$BUILD_PGPCORE_PLUGIN_TRUE$ac_delim
920 BUILD_PGPCORE_PLUGIN_FALSE!$BUILD_PGPCORE_PLUGIN_FALSE$ac_delim
921@@ -32979,7 +32855,7 @@
922 LTLIBOBJS!$LTLIBOBJS$ac_delim
923 _ACEOF
924
925- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 30; then
926+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 32; then
927 break
928 elif $ac_last_try; then
929 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
930Index: claws-mail-2.9.1/src/Makefile.in
931===================================================================
932--- claws-mail-2.9.1.orig/src/Makefile.in 2007-04-25 10:18:13.000000000 +0100
933+++ claws-mail-2.9.1/src/Makefile.in 2007-04-25 10:30:23.000000000 +0100
934@@ -45,8 +45,7 @@
935 $(top_srcdir)/m4/aspell.m4 $(top_srcdir)/m4/check-type.m4 \
936 $(top_srcdir)/m4/gnupg-check-typedef.m4 \
937 $(top_srcdir)/m4/gnupg.m4 $(top_srcdir)/m4/gpgme.m4 \
938- $(top_srcdir)/m4/isc-posix.m4 $(top_srcdir)/m4/spamassassin.m4 \
939- $(top_srcdir)/configure.ac
940+ $(top_srcdir)/m4/spamassassin.m4 $(top_srcdir)/configure.ac
941 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
942 $(ACLOCAL_M4)
943 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
944@@ -122,7 +121,7 @@
945 $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \
946 $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \
947 $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \
948- $(am__DEPENDENCIES_2)
949+ $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2)
950 claws_mail_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
951 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
952 $(claws_mail_LDFLAGS) $(LDFLAGS) -o $@
953@@ -272,6 +271,8 @@
954 OBJEXT = @OBJEXT@
955 OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
956 OPENSSL_LIBS = @OPENSSL_LIBS@
957+OWL_CFLAGS = @OWL_CFLAGS@
958+OWL_LIBS = @OWL_LIBS@
959 PACKAGE = @PACKAGE@
960 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
961 PACKAGE_NAME = @PACKAGE_NAME@
962@@ -815,7 +816,8 @@
963 $(LIBICONV) \
964 $(STARTUP_NOTIFICATION_LIBS) \
965 $(LIBETPAN_LIBS) \
966- $(MAEMO_LIBS)
967+ $(MAEMO_LIBS) \
968+ $(OWL_LIBS)
969
970 AM_CPPFLAGS = \
971 -DG_LOG_DOMAIN=\"Claws-Mail\" \
972@@ -833,7 +835,7 @@
973 $(LIBETPAN_CPPFLAGS) \
974 $(STARTUP_NOTIFICATION_CFLAGS) \
975 $(MAEMO_CFLAGS) \
976- -Wno-unused-function
977+ $(OWL_CFLAGS)
978
979
980 #no-unused-function is there because of bison stuff
981@@ -1406,6 +1408,7 @@
982 install-exec-hook:
983 @rm -f $(DESTDIR)$(bindir)/sylpheed-claws
984 @ln -s claws-mail $(DESTDIR)$(bindir)/sylpheed-claws
985+ -Wno-unused-function
986
987 @CYGWIN_TRUE@claws-mail$(EXEEXT): $(claws_mail_OBJECTS) $(claws_mail_DEPENDENCIES)
988 @CYGWIN_TRUE@ @rm -f claws-mail$(EXEEXT)
989Index: claws-mail-2.9.1/autogen.sh
990===================================================================
991--- claws-mail-2.9.1.orig/autogen.sh 2007-04-25 10:18:13.000000000 +0100
992+++ claws-mail-2.9.1/autogen.sh 2007-04-25 10:30:23.000000000 +0100
993@@ -74,5 +74,4 @@
994 && libtoolize --force --copy \
995 && autoheader \
996 && automake --add-missing --foreign --copy \
997- && autoconf \
998- && ./configure --enable-maintainer-mode $@
999+ && autoconf
1000Index: claws-mail-2.9.1/src/compose.c
1001===================================================================
1002--- claws-mail-2.9.1.orig/src/compose.c 2007-04-25 10:18:13.000000000 +0100
1003+++ claws-mail-2.9.1/src/compose.c 2007-04-25 10:30:23.000000000 +0100
1004@@ -6192,7 +6192,6 @@
1005 n_menu_entries = sizeof(compose_entries) / sizeof(compose_entries[0]);
1006 menubar = menubar_create(window, compose_entries,
1007 n_menu_entries, "<Compose>", compose);
1008- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
1009
1010 handlebox = gtk_hbox_new(FALSE, 0);
1011 gtk_box_pack_start(GTK_BOX(vbox), handlebox, FALSE, FALSE, 0);